LibreOffice: ChartTitle Service Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
ChartTitle Service Referencepublished

specifies titles in a chart. More...

`import "ChartTitle.idl";`

Inheritance diagram for ChartTitle:

## Included Services
service | com::sun::star::drawing::Shape
service | com::sun::star::xml::UserDefinedAttributesSupplier
| If a ChartTitle may be stored as XML element, this service should be supported in order to preserve unparsed XML attributes.

## Public Attributes
boolean | AutomaticPosition
| If this property is TRUE the position is calculated by the application automatically.
long | TextRotation
| specifies the rotation of the shape in 100th of degrees.
string | String
| contains the text of the title.
Public Attributes inherited from Shape
long | ZOrder
| is used to query or change the ZOrder of this Shape.
short | LayerID
| This is the ID of the Layer to which this Shape is attached.
string | LayerName
| This is the name of the Layer to which this Shape is attached.
boolean | Visible
| If this is FALSE, the Shape is not visible on screen outputs.
boolean | Printable
| If this is FALSE, the Shape is not visible on printer outputs.
boolean | MoveProtect
| With this set to TRUE, this Shape cannot be moved interactively in the user interface.
string | Name
| This is the name of this Shape.
boolean | SizeProtect
| With this set to TRUE, this Shape may not be sized interactively in the user interface.
com::sun::star::style::XStyle | Style
| this property lets you get and set a style for this shape.
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape.
com::sun::star::container::XNameContainer | ShapeUserDefinedAttributes
| this property stores xml attributes.
long | NavigationOrder
| this property stores the navigation order of this shape.
string | Hyperlink
| this property lets you get and set a hyperlink for this shape.
short | RelativeHeight
| contains the relative height of the object.
short | RelativeWidth
| contains the relative width of the object.
short | RelativeHeightRelation
| contains the relation of the relative height of the object.
short | RelativeWidthRelation
| contains the relation of the relative width of the object.
string | Title
| contains short title for the object
string | Description
| contains description for the object
boolean | Decorative
| Determines if the shape is purely decorative.

## Additional Inherited Members
Public Types inherited from Shape
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of shape properties, used as a string-any map for interim interop purposes.
Exported Interfaces inherited from Shape
interface | com::sun::star::beans::XPropertySet
| handles all the properties of this instance.
interface | com::sun::star::drawing::XShape
| This gives you the size and position of this Shape and lets you change it.
interface | com::sun::star::lang::XComponent
| is used for lifetime control of this Shape.
interface | com::sun::star::drawing::XShapeDescriptor
| The XShapeDescriptor tells you what kind of Shape this instance is.
interface | com::sun::star::drawing::XGluePointsSupplier
| This interfaces gives access to an optional container of gluepoints.
interface | com::sun::star::beans::XTolerantMultiPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XGluePointsSupplier
com::sun::star::container::XIndexContainer | getGluePoints ()
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names.
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values.
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.

## Detailed Description

specifies titles in a chart.

In a chart there may be the following titles: the main title, the sub title, and axis titles of the x- and y-axis.

## Exported Interfaces

## ◆ com::sun::star::drawing::Shape

service com::sun::star::drawing::Shape

## ◆ com::sun::star::xml::UserDefinedAttributesSupplier

service com::sun::star::xml::UserDefinedAttributesSupplier
| optional

If a ChartTitle may be stored as XML element, this service should be supported in order to preserve unparsed XML attributes.

Since
  OOo 1.1.2

## Member Data Documentation

## ◆ AutomaticPosition

boolean AutomaticPosition
| optionalproperty

If this property is TRUE the position is calculated by the application automatically.

Setting this property to false will have no effect. Instead use the interface com::sun::star::drawing::XShape to set a concrete position.

## ◆ String

string String
| property

contains the text of the title.

Note that you cannot change attributes of parts of a title, e.g., put one word in bold characters. All formatting affects the entire string.

## ◆ TextRotation

long TextRotation
| property

specifies the rotation of the shape in 100th of degrees.

Especially in three-dimensional charts, this property comes in handy if you want to align the axis titles with the axis, which are usually not vertical or horizontal in the two-dimensional projection.

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartTitle.idl